Package org.eclipse.graphiti.ui.internal

## Class ResourceManager

- java.lang.Object
- - org.eclipse.graphiti.ui.internal.ResourceManager

All Implemented Interfaces:
  `IResourceManager`

    public class ResourceManager
    extends java.lang.Object
    implements IResourceManager

### Constructor Summary

Constructors
`ResourceManager()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `cleanUpResources​(java.lang.Object obj)`
`static IResourceManager` `getResourceManager()` Provides the resource manager.
`void` `manageResource​(java.lang.Object obj, org.eclipse.swt.graphics.Resource resource)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ResourceManager

    public ResourceManager()

### Method Detail

#### getResourceManager

    public static IResourceManager getResourceManager()

Provides the resource manager.

Returns:
  the resource manager
See Also:
  `IResourceManager`

#### cleanUpResources

    public void cleanUpResources​(java.lang.Object obj)

Specified by:
  `cleanUpResources` in interface `IResourceManager`

#### manageResource

    public void manageResource​(java.lang.Object obj,
                               org.eclipse.swt.graphics.Resource resource)

Specified by:
  `manageResource` in interface `IResourceManager`